<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromCollection;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\Exportable;

class ProviderExport implements FromView
{
    /**
     * @return \Illuminate\Support\Collection
     */

    public function __construct($providers)
    {
        $this->providers = $providers;

    }


    public function view(): View
    {
        return view('admin.providers.excel', [
            'providers' => $this->providers
        ]);
    }
}
